# GetECValue

### int GetECValue(int ECID, ref string pszValue)

대상 ECID의 현재 ECVALUE를 읽음.

Parameters

<table data-header-hidden><thead><tr><th width="171" valign="top"></th><th width="114" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ECID</td><td valign="top">int</td><td valign="top">ECID</td></tr><tr><td valign="top">pstrValue</td><td valign="top">ref string</td><td valign="top">EC Value (장비 상수 값)</td></tr></tbody></table>

<pre class="language-csharp"><code class="lang-csharp"><strong>    string strECValue = ""; // 값을 저장할 변수
</strong>
    // 1. GetECValue 호출 (ECID: 상수 ID, pszValue: 값을 담을 변수)
    // 반환값(nResult)은 성공 시 0 이상의 값을 반환합니다.
    int nResult = m_gem.GetECValue(nECID, ref strECValue);
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getecvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
